Groovy Documentation

## org.codehaus.groovy.runtime.wrappers
[Java] Class GroovyObjectWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

    public class GroovyObjectWrapper
    extends Wrapper

Authors:
  John Wilson

Field Summary
`protected GroovyObject` | `wrapped`

Fields inherited from class Wrapper
constrainedType

Constructor Summary
`GroovyObjectWrapper(GroovyObject wrapped, java.lang.Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`protected java.lang.Object` | `getWrapped()`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`java.lang.Object` | `unwrap()`

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### wrapped

    protected final GroovyObject wrapped

Constructor Detail

### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped, java.lang.Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### getWrapped

    protected java.lang.Object getWrapped()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

### unwrap

    public java.lang.Object unwrap()

Groovy Documentation